2022-08-15  Keith Marshall  <keith@users.osdn.me>

	Correct references in features configuration generator.

	* var/features.lua: Replace all project name references to defunct
	"MinGW.org" project name; refer to "MinGW.OSDN" instead.  Also correct
	comments referring to configuration output; it is written to...
	(io.stdout): ...this output stream, and not to...
	(io.stderr): ...this.

2022-10-31  Keith Marshall  <keith@users.osdn.me>

	Correct project name references in project-common files.

	* LICENSE README aclocal.m4 configure.ac Makefile.comm Makefile.in:
	Replace all references to defunct "MinGW.org" project name; refer to
	"MinGW.OSDN" instead.

2021-04-12  Keith Marshall  <keith@users.osdn.me>

	Increment version number following WSL-5.4.2 release.

	* VERSION.m4 (__VERSION__): Increment it to 5.4.3

2021-04-11  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.4.2 release.

	* All files (wsl-5.4.2-release): Tag assigned.

2020-08-07  Keith Marshall  <keith@users.osdn.me>

	Increment version number following WSL-5.4.1 release.

	* VERSION.m4 (__VERSION__): Increment it to 5.4.2

2020-07-23  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.4.1 release.

	* All files (wsl-5.4.1-release): Tag assigned.

2020-07-18  Keith Marshall  <keith@users.osdn.me>

	Adjust repository version following WSL-5.4 release.

	* VERSION.m4 (__VERSION__): Increment it to 5.4.1

2020-07-08  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.4 release.

	* All files (wsl-5.4-release): Tag assigned.

2020-07-07  Keith Marshall  <keith@users.osdn.me>

	Switch to new 5.4-trunk development branch.

	* VERSION.m4 (__VERSION__): Increment it to 5.4
	* All files (5.4-trunk): Bookmark assigned.

2020-07-06  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.3.4 release.

	* All files (wsl-5.3.4-release): Tag assigned.

2020-07-04  Keith Marshall  <keith@users.osdn.me>

	Adjust repository version following WSL-5.3.3 release.

	* VERSION.m4 (__VERSION__): Increment it to 5.3.4

2020-06-03  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.3.3 release.

	* All files (wsl-5.3.3-release): Tag assigned.

2020-06-03  Keith Marshall  <keith@users.osdn.me>

	Discard obsolete distribution files from subdirectories.

	* Makefile.in (dist-subdirs): Add dependency on...
	(dist-subdirs-discard-obsolete): ...this new rule; define it.

2020-06-03  Keith Marshall  <keith@users.osdn.me>

	Revert 2020-05-27 changes relating to issue #40438.

	* VERSION.m4 (LIBMINGWEX): Increment DLL age; this has the effect of
	indicating restored backward compatibility with linmingwex-2.dll

2020-06-03  Keith Marshall  <keith@users.osdn.me>

	Adjust repository version following WSL-5.3.2 release.

	* VERSION.m4 (__VERSION__): Increment it to 5.3.3

2020-05-28  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.3.2 release.

	* All files (wsl-5.3.2-release): Tag assigned.

2020-05-28  Keith Marshall  <keith@users.osdn.me>

	Prepare empty dist directory when required.

	* Makefile.in (dist-prepare): Delete goal; move its commands...
	(dist): ...to here; remove dependency on defective "dist-prepare".

2020-05-27  Keith Marshall  <keith@users.osdn.me>

	Fix libmingwex-n.dll dependencies; cf. Issue #40438.

	* VERSION.m4 (LIBMINGWEX): Increment interface version to 3:0:0.

2020-05-26  Keith Marshall  <keith@users.osdn.me>

	Adjust repository version following WSL-5.3.1 release.

	* VERSION.m4 (__VERSION__): Increment it to 5.3.2

2020-04-30  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.3.1 release.

	* All files (wsl-5.3.1-release): Tag assigned.

2020-03-05  Keith Marshall  <keith@users.osdn.me>

	Adjust repository version following WSL-5.3 release.

	* VERSION.m4 (__VERSION__): Increment it to 5.3.1

2020-03-05  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.3 release.

	* All files (wsl-5.3-release): Tag assigned.

2020-01-13  Keith Marshall  <keith@users.osdn.me>

	Adjust repository version following WSL-5.2.3 release.

	* All files (5.3-trunk): New branch; create, and switch to it.
	* VERSION.m4 (__VERSION__): Increment it to 5.3

2020-01-13  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.2.3 release.

	* All files (wsl-5.2.3-release): Tag assigned.

2019-07-06  Keith Marshall  <keith@users.osdn.me>

	Adjust repository version following WSL-5.2.2 release.

	* VERSION.m4 (__VERSION__): Increment it to 5.2.3

2019-07-06  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.2.2 release.

	* All files (wsl-5.2.2-release): Tag assigned.

2019-02-02  Keith Marshall  <keith@users.osdn.me>

	Add build option for <features.h> sample distribution.

	* configure.ac (lua): Add AC_PATH_PROG check; assign result to...
	(LUA): ...this new AC_SUBST propagated macro definition.

	* Makefile.in (dist): Add dependencies on...
	(dist-prepare, dist-extra): ...these new goals; implement...
	(dist-prepare): ...to initialize an empty staging directory, and...
	(dist-extra): ...incorporate optional distributable components.
	(features.stamp): New optional goal; selected by definition of...
	(FEATURES): ...this user specified macro, nominally defined by...
	(option, options): ...evaluation of command line assignment.
	(features.lua, features.unsupported): New prerequisite goals.
	(WSL_TMPDIR, FEATURES_H_INITIALIZE, FEATURES_CFG, LUA, LUACMD)
	(TODAY, ISSUE): New supporting macros; define them.

2019-01-22  Keith Marshall  <keith@users.osdn.me>

	Adjust repository version following WSL-5.2.1 release.

	* VERSION.m4 (__VERSION__): Increment it to 5.2.2

2019-01-22  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.2.1 release.

	* All files (wsl-5.2.1-release): Tag assigned.

2019-01-22  Keith Marshall  <keith@users.osdn.me>

	Incorporate user-customized <features.h> configuration.

	* Makefile.comm (_mingw.h): Add prerequisite dependency on...
	(features.h): ...this; add rule to create a build-time stub, an empty
	file, yielding the default fall-back configuration.

	* var/features.lua: New direcctory/file; this implements the mingw-get
	post-install action, which is required to integrate management of user
	maintained <features.h> configuration alongside project updates.

2018-12-23  Keith Marshall  <keith@users.osdn.me>

	Adjust repository version following WSL-5.2 release.

	* VERSION.m4 (__VERSION__): Increment it to 5.2.1

2018-12-23  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.2 release.

	* All files (wsl-5.2-release): Tag assigned.

2018-09-04  Keith Marshall  <keith@users.osdn.me>

	Pre-empt default EXEEXT use before its determination.

	* aclocal.m4 (MINGW_AC_NO_EXECUTABLES): Assign an initial assumed
	$ac_exeext value of ".xyz"; it will be updated appropriately, when
	an actual EXEEXT determination has been completed.

2018-09-03  Keith Marshall  <keith@users.osdn.me>

	Adjust repository version following WSL-5.1.1 release.

	* All files (5.2-trunk): New development branch; switch to it.
	* VERSION.m4 (__VERSION__): Increment it to 5.2
	(libmingwex.dll.a): Update ABI version identifier.

2018-09-03  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.1.1 release.

	* All files (wsl-5.1.1-release): Tag assigned.

2018-07-13  Keith Marshall  <keith@users.osdn.me>

	Advertise new canonical URI for source code repository.

	* README (Important Notice): New section; identify new canonical
	repository URIs; note obsolescence of old repositories.

2018-02-26  Keith Marshall  <keith@users.osdn.me>

	Adjust repository version following WSL-5.1 release.

	* VERSION.m4 (__VERSION__): Increment it to 5.1.1

2018-02-26  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.1 release.

	* All files (wsl-5.1-release): Tag assigned.
	* VERSION.m4 (libmingwex.dll.a): Update ABI version identifier.

2017-12-06  Keith Marshall  <keith@users.osdn.me>

	Adjust repository version following WSL-5.0.2 release.

	* VERSION.m4 (__VERSION__): Increment it to 5.1; no further patch
	releases are anticipated for development on the 5.0 branch, hence...
	* All files (5.1-trunk): ...assign new development branch name.

2017-12-06  Keith Marshall  <keith@users.osdn.me>

	Prepare and publish MinGW.org WSL-5.0.2 release.

	* All files (wsl-5.0.2-release): Tag assigned.

2017-07-31  Keith Marshall  <keithmarshall@users.sourceforge.net>

	MinGW.org WSL-5.0.1 released; update repository version.

	* VERSION.m4 (__VERSION__): Increment it to 5.0.2, anticipating a
	further possible patch release prior to WSL-5.1

2017-07-30  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Prepare and tag for release of MinGW.org WSL-5.0.1

	* All files (wsl-5.0.1-release): Tag assigned.

2017-03-14  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Refactor mingwrt and w32api common makefile content.

	* Makefile.comm: New file.
	(COMMON_MAKEFILE): New macro; define it to identify this file.
	(%-srcdist-common-files): New generic build rule; implement it.
	(configure, config.status, Makefile, config.status.missing, _mingw.h)
	(w32api.h, PACKAGE_VERSION_SCRIPT, PACKAGE_VERSION_FORMAT): Reproduce
	the original common content, which has been factored out from...
	* mingwrt/Makefile.in w32api/Makefile.in: ...here.

2017-03-09  Keith Marshall  <keithmarshall@users.sourceforge.net>

	MinGW.org WSL-5.0 released; update repository version.

	* VERSION.m4 (__VERSION__): Increment it to 5.0.1, anticipating a
	possible patch release prior to WSL-5.1

2017-03-08  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Prepare and tag for release of MinGW.org WSL-5.0

	* All files (wsl-5.0-release): Tag assigned.

2017-02-21  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Extend basic test suite infrastructure to w32api.

	* Makefile.in (check test tests): New rules; all are synonymous.
	(check-recursive): New rule; invoked by each of the preceding three
	synonyms, applying the common effect in nominated subdirectories.

2016-10-14  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Make package installation prefix consistent throughout.

	* configure.ac (AC_PREFIX_DEFAULT): Assign it; match it to...
	* mingwrt/configure.ac w32api/configure.ac: ...these.

2016-07-19  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Update install-sh to match mingw.org/build-aux package.

	* install-sh: New file; copied from build-aux package, it replaces...
	* mingwrt/install-sh w32api/install-sh: ...both of these.

2016-07-17  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Eliminate redundant configuration files.

	* .gitignore .hgignore (mingwrt/aclocal.m4, mingwrt/VERSION.m4)
	(w32api/aclocal.m4, w32api/VERSION.m4): Remove from SCM control.

2016-07-16  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Support 'install-strip' as a universal make goal.

	* Makefile.in (install-strip): New goal; it is a dependency of...
	(subdirs): ...this subsidiary package directory collection.

2016-05-12  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Integrate mingwrt and w32api build; synchronize versions.

	* configure.ac Makefile.in: New files.

	* VERSION.m4: New file; link it, to create and maintain an identical
	copy of it, in each of the mingwrt and w32api sub-package directories.
	(__VERSION__): New macro; define and initialize it, in preparation
	for forthcoming integrated version 5.0 release.

	* aclocal.m4: New file; link it, to make it an identical copy of
	each identically named file, in each of the sub-package directories.
	(__VERSION__): New macro; include VERSION.m4 to define it.
	(__BUG_REPORT_URL__): New macro; define it.

2014-10-22  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Merge .hgignore from "master" branch to "legacy".

	* .hgignore: New file.

2014-10-21  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Import w32api-3.17 source code on "legacy" branch.

	* w32api: New directory; use w32api-3.17-2 release as baseline for
	import; once again, original CVS history is NOT preserved.

2014-10-21  Keith Marshall  <keithmarshall@users.sourceforge.net>

	Create "legacy" branch; import mingwrt-3.20 source code.

	* mingwrt: New directory; use mingwrt-3.20-2 release as baseline
	for import; original CVS history is NOT preserved.

2012-08-08  Earnie Boyd  <earnie@users.sourceforge.net>

	* ChangeLog: New file.
	* LICENSE: Ditto.
	* README: Ditto.
	* .gitignore: Ditto.
